.danmaku-mode .active {
    color: rgb(90, 207, 228);
}
#danmaku-status.active{
    border-radius: 20px;
    -webkit-animation-name: color-transition;
	animation-name: color-transition;
	-webkit-animation-duration: 3s;
	animation-duration: 3s;
	-webkit-animation-direction: alternate;
	animation-direction: alternate;
	-webkit-animation-iteration-count: infinite;
	animation-iteration-count: infinite;
	-webkit-animation-timing-function: linear;
	animation-timing-function: linear;
}
@keyframes color-transition {
	0% {
        background-color: rgb(90, 207, 228);
	}
	100% {
        background-color: #fff;
	}
}
.dark #danmaku-status.active{
    border-radius: 20px;
    -webkit-animation-name: color-trans;
	animation-name: color-trans;
	-webkit-animation-duration: 3s;
	animation-duration: 3s;
	-webkit-animation-direction: alternate;
	animation-direction: alternate;
	-webkit-animation-iteration-count: infinite;
	animation-iteration-count: infinite;
	-webkit-animation-timing-function: linear;
	animation-timing-function: linear;
}
@keyframes color-trans {
	0% {
        background-color: pink;
	}
	100% {
        background-color: #666;
	}
}
.danmaku-title span {
    margin-right: 15px;
}
.danmaku-content {
    margin-bottom: 5px;
    height: 443px;
    overflow-x: hidden;
}
.danmaku-wrap {
    margin-bottom: 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.danmaku-wrap span {
    margin-right: 10px;
}
.danmaku-form {
    width: 100%;
}
.danmaku-form input[type="text"] {
    width: 100%;
    background: transparent;
    border: none;
    border-bottom: 1px solid black;
}
.user-role .danmaku-form > .user-only {
    display: flex;
    justify-content: space-between;
    font-size: 12px;
}
.danmaku-btn {
    border: none;
    background-color: transparent;
}
/* danmaku setting */
.setting {
    position: relative;
}
.danmaku-setting {
    display: none;
    position:absolute;
    top: 0;
    padding-left: 15px;
    background-color: rgba(0, 0, 0, 0.6);
    color: rgb(255,255,255)
}
.setting:hover .danmaku-setting {
    display: block;
}
.danmaku-setting li, .danmaku-mode {
    display: flex;
}
.danmaku-setting li > span {
    display: flex;
    align-items: center;
    white-space: nowrap;
    cursor: default;
}
.danmaku-mode {
    margin: 0 10px;
    text-align: center;
    cursor: pointer;
}
.danmaku-mode > div {
    margin: 0 5px;
    
}
.danmaku-mode i {
    font-size: 30px;
}
.danmaku-mode  div div {
    margin-top: -5px;
    margin-bottom: 5px;
    white-space: nowrap;
}
input[type="color"] {
    width: 15px;
    height: 15px;
    margin-top: 1px;
    margin-left: 5px;
    background-color: transparent;
    border: none;
    cursor: pointer;
}